Un souci pour compiler tolua++ pour lua5.3

Forum d'aide générale sur Slackware
Avatar de l’utilisateur
Incognito
Messages : 32
Inscription : 16 juillet 2017, 14:14

Un souci pour compiler tolua++ pour lua5.3

Message par Incognito » 11 mai 2018, 16:49

Salut, tout est dans le titre, depuis peu j'ai décidé de mettre à jour mon environnement de bureau (awesome) vers une nouvelle version qui... Comme qui dirait nécessite Lua5.3, alors j'ai un peu modifié mon environnement, Slackware ne proposant malheureusement que des programmes compilés pour 5.0...

Après avoir tant bien que mal réussi à me tirer des problèmes qui se sont présentés à moi jusqu'ici, je fais maintentant face à mon seuil d'incompétence , étant incapable de compiler le susnommé paquet pour Lua5.3...

Code : Tout sélectionner

https://slackbuilds.org/repository/14.2/libraries/tolua++/?search=tolua++
Ils ont pourtant bien réussi sur Arch, via un patch que je ne sais pas créer... :

https://aur.archlinux.org/cgit/aur.git/ ... %2B%2B_5.3

C'est vraiment une des rares fois ou j'envie les gars de arch...
Quelqu'un aurait une idée ?
Image

Avatar de l’utilisateur
Thomas
Administrateur
Messages : 222
Inscription : 08 janvier 2017, 07:14

Re: Un souci pour compiler tolua++ pour lua5.3

Message par Thomas » 11 mai 2018, 17:28

Salut,

Télécharge ce patch dans le répertoire de ton slackbuild sous le nom tolua53.patch, puis ajoute le code suivant avant compilation :

Code : Tout sélectionner

patch -p3 -i $CWD/tolua53.patch
Je n'ai pas essayé mais tu nous diras si ça fonctionne.

Bon courage !
Thomas Bourdon

Avatar de l’utilisateur
Incognito
Messages : 32
Inscription : 16 juillet 2017, 14:14

Re: Un souci pour compiler tolua++ pour lua5.3

Message par Incognito » 13 mai 2018, 21:17

Nope, ça fonctionne pas... Aïe...
Image

Répondre